#ifndef DROP_AREA_H
#define DROP_AREA_H

#include "colour.h"
#include "image.h"
#include "window.h"
#include <stdbool.h>

typedef struct {
  render_rect_t rect;
  render_rect_t image_rect;
  colour_t border_colour;
  image_t image;
  bool mouseover;
  bool image_loaded;
} drop_area_t;

void init_drop_area(window_t *wnd, drop_area_t *area, render_rect_t rect,
                    colour_t border_colour);

#endif // !DROP_AREA_H
